package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.GoodsImage;

/**
 * 商品图片Service接口
 * 
 * @author elev
 * @date 2022-01-06
 */
public interface IGoodsImageService {
    /**
     * 查询商品图片
     * 
     * @param imageId 商品图片主键
     * @return 商品图片
     */
    GoodsImage selectGoodsImageByImageId(String imageId);

    /**
     * 查询商品图片列表
     * 
     * @param goodsImage 商品图片
     * @return 商品图片集合
     */
    List<GoodsImage> selectGoodsImageList(GoodsImage goodsImage);

    /**
     * 新增商品图片
     * 
     * @param goodsImage 商品图片
     * @return 结果
     */
    int insertGoodsImage(GoodsImage goodsImage);

    /**
     * 修改商品图片
     * 
     * @param goodsImage 商品图片
     * @return 结果
     */
    int updateGoodsImage(GoodsImage goodsImage);

    /**
     * 批量删除商品图片
     * 
     * @param imageIds 需要删除的商品图片主键集合
     * @return 结果
     */
    int deleteGoodsImageByImageIds(String[] imageIds);

    /**
     * 删除商品图片信息
     * 
     * @param imageId 商品图片主键
     * @return 结果
     */
    int deleteGoodsImageByImageId(String imageId);

    void changeGoodsImages(Long goodsId, String images);

    int removeGoodsImageByGoodsId(Long goodsId);

    void insertBatch(List<GoodsImage> goodsImageList);

    List<GoodsImage> goodsImageList(List<Long> goodsIds);
}
